/////////////////////////////////////////////////
////////// 	Descriptive statistics		/////////
/////////////////////////////////////////////////	



use "..\data\data_user", clear

  
	
global countries "albania armenia azerbaijan belarus bosnia	bulgaria croatia czechrep estonia fyrom	georgia	hungary	kazakhstan kyrgyzstan latvia lithuania moldova montenegro poland romania russia serbia slovakia slovenia tajikistan ukraine uzbekistan"
 
  
 
collapse (mean) age fem deduc1 deduc3 pubv   if unemp_a<2  , by(c_code year)
list year age fem deduc1 deduc3 pubv  if c_code=="BLR" , table
 

 
 
local vars 		"age fem deduc1 deduc3 pubv" 
foreach country in $countries{

local i =0
local years ""
forvalues y = 1991/2006{
local restrict countryname  == "`country'" & year == `y' & unemp_a<2

local years `years' `y' 
local j =0
local++i
foreach var in `vars' {
local ++j
quiet mean `var' if `restrict' [aw=weight_0]
matrix b = r(table)
local aux`i'`j' = b[1,1]
}
}

matrix `country'3 = J(`i',`j',-99)
matrix rownames `country'3 = `years'
matrix colnames `country'3 = `vars'

forvalues l = 1/`i'{

forvalues k =1/`j'{
matrix `country'3 [`l',`k'] = `aux`l'`k''
}
}
}
exit
